<?php

declare(strict_types=1);

namespace Flowaxy\Contracts\UI;

// Інтерфейс для UI компонентів
interface ComponentInterface
{
    // Рендеринг компонента
    public function render(array $data = []): string;
}
